# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::CSSCharsetRule Class Reference

The `CSSCharsetRule` interface a @charset rule in a CSS style sheet. More...

`#include <css_rule.h>`

Inheritance diagram for DOM::CSSCharsetRule:

[legend]
Collaboration diagram for DOM::CSSCharsetRule:

[legend]
List of all members.

## Public Member Functions

| CSSCharsetRule (const CSSCharsetRule &other)
| CSSCharsetRule (const CSSRule &other)
| CSSCharsetRule (CSSCharsetRuleImpl *impl)
CSSCharsetRule & | operator= (const CSSCharsetRule &other)
CSSCharsetRule & | operator= (const CSSRule &other)
DOM::DOMString | encoding () const
void | setEncoding (const DOM::DOMString &)

## Detailed Description

The `CSSCharsetRule` interface a @charset rule in a CSS style sheet.

A `@charset` rule can be used to define the encoding of the style sheet.

Definition at line 149 of file css_rule.h.

## Member Function Documentation

DOMString CSSCharsetRule::encoding | ( |  | ) | const

| The encoding information used in this `@charset` rule. Definition at line 146 of file css_rule.cpp.

void CSSCharsetRule::setEncoding | ( | const DOM::DOMString & |  | ) |

see encoding

Exceptions:

  | CSSException | SYNTAX_ERR: Raised if the specified encoding value has a syntax error and is unparsable.
  | DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this encoding rule is readonly.

Definition at line 152 of file css_rule.cpp.

The documentation for this class was generated from the following files:

- css_rule.h
- css_rule.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:35 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003